# Class PoolBackedDataSource

java.lang.Object
com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
com.mchange.v2.c3p0.impl.IdentityTokenResolvable
com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase
com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource
com.mchange.v2.c3p0.PoolBackedDataSource

All Implemented Interfaces:
  `com.mchange.v2.c3p0.impl.IdentityTokenized, PooledDataSource, Serializable, Wrapper, Referenceable, CommonDataSource, DataSource`

public final class PoolBackedDataSource extends com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource implements PooledDataSource

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase

`pcs, vcs`

## Constructor Summary

Constructors
Constructor
Description
`PoolBackedDataSource()`
`PoolBackedDataSource(boolean autoregister)`
`PoolBackedDataSource(String configName)`

## Method Summary

### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource

`close, close, getAllUsers, getConnection, getConnection, getDataSourceName, getEffectivePropertyCycle, getEffectivePropertyCycleDefaultUser, getLastAcquisitionFailure, getLastAcquisitionFailureDefaultUser, getLastCheckinFailure, getLastCheckinFailureDefaultUser, getLastCheckoutFailure, getLastCheckoutFailureDefaultUser, getLastConnectionTestFailure, getLastConnectionTestFailureDefaultUser, getLastIdleTestFailure, getLastIdleTestFailureDefaultUser, getLoginTimeout, getLogWriter, getNumBusyConnections, getNumBusyConnections, getNumBusyConnectionsAllUsers, getNumBusyConnectionsDefaultUser, getNumConnections, getNumConnections, getNumConnectionsAllUsers, getNumConnectionsDefaultUser, getNumFailedCheckins, getNumFailedCheckinsDefaultUser, getNumFailedCheckouts, getNumFailedCheckoutsDefaultUser, getNumFailedIdleTests, getNumFailedIdleTestsDefaultUser, getNumIdleConnections, getNumIdleConnections, getNumIdleConnectionsAllUsers, getNumIdleConnectionsDefaultUser, getNumThreadsAwaitingCheckout, getNumThreadsAwaitingCheckoutDefaultUser, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnectionsAllUsers, getNumUnclosedOrphanedConnectionsDefaultUser, getNumUserPools, getParentLogger, getStartTimeMillis, getStartTimeMillisDefaultUser, getStatementCacheNumCheckedOut, getStatementCacheNumCheckedOutDefaultUser, getStatementCacheNumCheckedOutStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatements, getStatementCacheNumConnectionsWithCachedStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatementsDefaultUser, getStatementCacheNumStatements, getStatementCacheNumStatementsAllUsers, getStatementCacheNumStatementsDefaultUser, getThreadPoolNumActiveThreads, getThreadPoolNumIdleThreads, getThreadPoolNumTasksPending, getThreadPoolSize, getUpTimeMillis, getUpTimeMillisDefaultUser, hardReset, initializeNamedConfig, isWrapperFor, resetPoolManager, resetPoolManager, sampleLastAcquisitionFailureStackTrace, sampleLastAcquisitionFailureStackTraceDefaultUser, sampleLastCheckinFailureStackTrace, sampleLastCheckinFailureStackTraceDefaultUser, sampleLastCheckoutFailureStackTrace, sampleLastCheckoutFailureStackTraceDefaultUser, sampleLastConnectionTestFailureStackTrace, sampleLastConnectionTestFailureStackTraceDefaultUser, sampleLastIdleTestFailureStackTrace, sampleLastIdleTestFailureStackTraceDefaultUser, sampleStatementCacheStatus, sampleStatementCacheStatusDefaultUser, sampleThreadPoolStackTraces, sampleThreadPoolStatus, setLoginTimeout, setLogWriter, softReset, softResetAllUsers, softResetDefaultUser, unwrap`

### Methods inherited from class com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase

`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, extraToStringInfo, getConnectionPoolDataSource, getFactoryClassLocation, getIdentityToken, getNumHelperThreads, getPropertyChangeSupport, getReference, getVetoableChangeSupport, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, setConnectionPoolDataSource, setDataSourceName, setFactoryClassLocation, setIdentityToken, setNumHelperThreads, toString`

### Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable

`doResolve, readResolve, verifyResolve`

### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized

`equals, hashCode`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface CommonDataSource

`createShardingKeyBuilder, getParentLogger`

### Methods inherited from interface DataSource

`createConnectionBuilder, getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface PooledDataSource

`close, close, getAllUsers, getDataSourceName, getEffectivePropertyCycle, getEffectivePropertyCycleDefaultUser, getIdentityToken, getLastAcquisitionFailure, getLastAcquisitionFailureDefaultUser, getLastCheckinFailure, getLastCheckinFailureDefaultUser, getLastCheckoutFailure, getLastCheckoutFailureDefaultUser, getLastConnectionTestFailure, getLastConnectionTestFailureDefaultUser, getLastIdleTestFailure, getLastIdleTestFailureDefaultUser, getNumBusyConnections, getNumBusyConnections, getNumBusyConnectionsAllUsers, getNumBusyConnectionsDefaultUser, getNumConnections, getNumConnections, getNumConnectionsAllUsers, getNumConnectionsDefaultUser, getNumFailedCheckinsDefaultUser, getNumFailedCheckoutsDefaultUser, getNumFailedIdleTestsDefaultUser, getNumHelperThreads, getNumIdleConnections, getNumIdleConnections, getNumIdleConnectionsAllUsers, getNumIdleConnectionsDefaultUser, getNumThreadsAwaitingCheckout, getNumThreadsAwaitingCheckoutDefaultUser, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnectionsAllUsers, getNumUnclosedOrphanedConnectionsDefaultUser, getNumUserPools, getStartTimeMillisDefaultUser, getStatementCacheNumCheckedOut, getStatementCacheNumCheckedOutDefaultUser, getStatementCacheNumCheckedOutStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatements, getStatementCacheNumConnectionsWithCachedStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatementsDefaultUser, getStatementCacheNumStatements, getStatementCacheNumStatementsAllUsers, getStatementCacheNumStatementsDefaultUser, getThreadPoolNumActiveThreads, getThreadPoolNumIdleThreads, getThreadPoolNumTasksPending, getThreadPoolSize, getUpTimeMillisDefaultUser, hardReset, sampleLastAcquisitionFailureStackTrace, sampleLastAcquisitionFailureStackTraceDefaultUser, sampleLastCheckinFailureStackTrace, sampleLastCheckinFailureStackTraceDefaultUser, sampleLastCheckoutFailureStackTrace, sampleLastCheckoutFailureStackTraceDefaultUser, sampleLastConnectionTestFailureStackTrace, sampleLastConnectionTestFailureStackTraceDefaultUser, sampleLastIdleTestFailureStackTrace, sampleLastIdleTestFailureStackTraceDefaultUser, sampleStatementCacheStatus, sampleStatementCacheStatusDefaultUser, sampleThreadPoolStackTraces, sampleThreadPoolStatus, setDataSourceName, softReset, softResetAllUsers, softResetDefaultUser`

### Methods inherited from interface Wrapper

`isWrapperFor, unwrap`

## Constructor Details

### PoolBackedDataSource

public PoolBackedDataSource(boolean autoregister)

### PoolBackedDataSource

public PoolBackedDataSource()

### PoolBackedDataSource

public PoolBackedDataSource(String configName)